# DataExchange
TKXSBase
IFSelect

# IFSelect Class Reference

Gives tools to manage Selecting a group of Entities
processed by an Interface, for instance to divide up an
original Model (from a File) to several smaller ones
They use description of an Interface Model as a graph
Remark that this corresponds to the description of a
"scenario" of sharing out a File. Parts of this Scenario
are intended to be permanently stored. IFSelect provides
the Transient, active counterparts (to run the Scenario).
But a permanent one (either as Persistent Objects or as
interpretable Text) must be provided elsewhere.
.

`#include <IFSelect.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | SaveSession (const Handle(IFSelect_WorkSession)&WS, const Standard_CString file)
| Saves the state of a WorkSession from IFSelect, by using a SessionFile from IFSelect. Returns True if Done, False in case of Error on Writing. <file> gives the name of the File to be produced (this avoids to export the class SessionFile). .
static Standard_EXPORT Standard_Boolean | RestoreSession (const Handle(IFSelect_WorkSession)&WS, const Standard_CString file)
| Restore the state of a WorkSession from IFSelect, by using a SessionFile from IFSelect. Returns True if Done, False in case of Error on Writing. <file> gives the name of the File to be used (this avoids to export the class SessionFile). .

## Member Function Documentation

void IFSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IFSelect::operator new | ( | size_t | size | ) | `[inline]`

void* IFSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Standard_Boolean IFSelect::RestoreSession | ( | const Handle(IFSelect_WorkSession)& | WS,
|  | const Standard_CString | file
| ) | `[static]`

static Standard_EXPORT Standard_Boolean IFSelect::SaveSession | ( | const Handle(IFSelect_WorkSession)& | WS,
|  | const Standard_CString | file
| ) | `[static]`

The documentation for this class was generated from the following file:

- IFSelect.hxx